#include <logging/log.h>
#include <zephyr.h>
#include "thread.h"

LOG_MODULE_REGISTER(main, LOG_LEVEL_DBG);

#define WELLCOME_TEXT \
	"\n\r"\
	"\n\r"\
	"OpenThread Command Line Interface is now running.\n\r" \
	"Use the 'ot' keyword to invoke OpenThread commands e.g. " \
	"'ot thread start.'\n\r" \
	"For the full commands list refer to the OpenThread CLI " \
	"documentation at:\n\r" \
	"https://github.com/openthread/openthread/blob/master/src/cli/README.md\n\r"

void main(void)
{
	if (IS_ENABLED(CONFIG_OPENTHREAD_SHELL))
	{
		LOG_INF(WELLCOME_TEXT);
	}

	vThreadInit();
}
